## com.fusioncharts.sampledata
Class LinkedData

    java.lang.Object
      com.fusioncharts.sampledata.LinkedData

    public class LinkedData

extends java.lang.Object

Bean containing sample chart data. Default values for all the fields have been set. These can be changed using the set methods. This class has been used as a backing bean in JSF examples.

Author:
  Infosoft Global (P) Ltd.

Field Summary
`protected java.lang.String` `chartId`
`protected java.lang.String` `filename`
`protected java.lang.String` `height`
`protected java.lang.String` `width`
`protected java.lang.String` `xml`

Constructor Summary
`LinkedData()`

Method Summary
`java.lang.String` `getChartId()`
`private java.lang.String` `getFactoryXML()`
`java.lang.String` `getFilename()`
`java.lang.String` `getHeight()`
`java.lang.String` `getWidth()`
`java.lang.String` `getXml()`
`void` `setChartId(java.lang.String chartId)`
`void` `setFilename(java.lang.String filename)`
`void` `setHeight(java.lang.String height)`
`void` `setWidth(java.lang.String width)`
`void` `setXml(java.lang.String xml)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### chartId

    protected java.lang.String chartId

### width

    protected java.lang.String width

### height

    protected java.lang.String height

### filename

    protected java.lang.String filename

### xml

    protected java.lang.String xml

Constructor Detail

### LinkedData

    public LinkedData()

Method Detail

### getChartId

    public java.lang.String getChartId()

### getFactoryXML

    private java.lang.String getFactoryXML()

### getFilename

    public java.lang.String getFilename()

### getHeight

    public java.lang.String getHeight()

### getWidth

    public java.lang.String getWidth()

### getXml

    public java.lang.String getXml()

  Returns:
    the xml

### setChartId

    public void setChartId(java.lang.String chartId)

### setFilename

    public void setFilename(java.lang.String filename)

### setHeight

    public void setHeight(java.lang.String height)

### setWidth

    public void setWidth(java.lang.String width)

### setXml

    public void setXml(java.lang.String xml)

  Parameters:
    `xml` - the xml to set